Subject: Re: [PATCH v8 01/12] lsm: Add LSM hook security_unix_find

From: Günther Noack <[email-masked]>
Date: Mon, 30 Mar 2026 21:02:57 +0200

On Mon, Mar 30, 2026 at 06:02:05PM +0200, Mickaël Salaün wrote:
> On Fri, Mar 27, 2026 at 01:55:58PM -0400, Paul Moore wrote:
> > On Fri, Mar 27, 2026 at 12:49 PM Günther Noack <[email-masked]> wrote:
> > > Cc: Günther Noack <[email-masked]>
> > > Cc: Tingmao Wang <[email-masked]>
> > > Cc: Mickaël Salaün <[email-masked]>
> > > Cc: Paul Moore <[email-masked]>
> > > Signed-off-by: Justin Suess <[email-masked]>
> > > Signed-off-by: Günther Noack <[email-masked]>
> > > ---
> > >  include/linux/lsm_hook_defs.h |  5 +++++
> > >  include/linux/security.h      | 11 +++++++++++
> > >  net/unix/af_unix.c            | 10 +++++++---
> > >  security/security.c           | 20 ++++++++++++++++++++
> > >  4 files changed, 43 insertions(+), 3 deletions(-)
> > 
> > This patch doesn't look like it changed significantly in this
> > revision, is there a reason you dropped the tags from Georgia and I?
> 
> You'r right, the patch didn't change at all. I added Georgia's tag in my
> -next branch for the previous version, I guess Günther forgot to add it
> for this version, but I updated my branch with the same tag, so it's
> still there.  Thank you both BTW!

I only missed to add them by accident, thanks for adding it back,
Mickaël, and Paul for spotting it!

> I just included a one-line fix because of the m68k warning, we'll see if
> it works as expected, and we should be good to go.  It would be nice to
> have John's feedback though.

Agreed.  John, I would also appreciate if you could find the time to
have a look.

–Günther